Bug 546846 - RFE - Hovering Pop-Up Tool Tip to See Days/Dates
Summary: RFE - Hovering Pop-Up Tool Tip to See Days/Dates
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: planner
Version: 12
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Caolan McNamara
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-12-12 08:43 UTC by David Le Sage
Modified: 2009-12-22 04:56 UTC (History)
2 users (show)

Fixed In Version: 0.14.4-12.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-12-22 04:56:23 UTC
Type: ---


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
GNOME Bugzilla 604515 0 None None None Never

Description David Le Sage 2009-12-12 08:43:22 UTC
Description of problem:
Currently, at the default zoom level, the Gantt and Resource Usage views display Week Number and Date in the graph header (for instance, Week 51 2009, Day 14.)

If one zooms in, one can see the actual day/date (Mon, Dec 14.)  However, the need to zoom in and out all of the time makes the tool very "clunky" to use.  A solution might be to see the full date "pop-up" in a tooltip-style box if the mouse cursor hovers over it whilst at the default zoom level.

Version-Release number of selected component (if applicable):
0.14.4

How reproducible:
Functionality does not yet exist.

Steps to Reproduce:
1. Go to the Gantt or Resource Usage Views.
2. At the default zoom level, the headers indicate the day in the format of Week n, Day nn.  This does not readily indicate the month or day of the week.
3.  The user can see these by using the zoom in and out functionality but perhaps a hovering pop-up box would be better, provided it is in accordance with the GNOME HIG.
  
Actual results:
Can only tell day of week and month by zooming in.

Expected results:
Hover over day field with mouse cursor and seeing full date in set GNOME locale format would be more human-readable.

Additional info:

Comment 1 Caolan McNamara 2009-12-14 09:23:55 UTC
At the moment if you hover over the headers in Gantt view the status bar shows the date e.g. 12 Dec 2009, but the same doesn't happen in Resource Usage view.

How about we extend that to include the Day as well as the date, and to do it in the resource usage as well

Comment 2 Caolan McNamara 2009-12-14 10:16:58 UTC
Fix submitted upstream to show this data consistently in the status bar and checked in locally

Comment 3 Fedora Update System 2009-12-15 11:27:00 UTC
planner-0.14.4-11.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/planner-0.14.4-11.fc12

Comment 4 Fedora Update System 2009-12-16 01:10:49 UTC
planner-0.14.4-11.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update planner'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-13174

Comment 5 Fedora Update System 2009-12-22 04:55:56 UTC
planner-0.14.4-12.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.